Autor Tópico: [Resolvido] Pacote quebrado no Lubuntu 16.04  (Lida 817 vezes)

Offline Allanbane

  • Usuário Ubuntu
  • *
  • Mensagens: 78
    • Ver perfil
[Resolvido] Pacote quebrado no Lubuntu 16.04
« Online: 21 de Novembro de 2017, 13:03 »
Oi pessoal! Tô usando o Lubuntu 16.04 e precisei instalar o PlayOnLinux. Pediu o Wine, mas não consigo instalar o Wine de jeito nenhum. Dá uma mensagem sobre um pacote wine1.6 , que tentei instalar pelo Synaptic mas também não deu.  Já tentei de todas as formas, mas sempre sou informado de problemas pra instalar esse pacote. Alguém pode me dar uma dica de um procedimento pra eu resolver isso? Grato!
« Última modificação: 21 de Novembro de 2017, 15:53 por Allanbane »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Pacote quebrado no Lubuntu 16.04
« Resposta #1 Online: 21 de Novembro de 2017, 13:08 »
Tratamos aqui do Wine num outro tópico coisa de dez dias atrás, lá tem tudo quanto é necessário para desinstalar completamente e instalar usando o repositório oficial do Ubuntu. Veja se ajuda:

https://ubuntuforum-br.org/index.php/topic,122470.msg673091.html#msg673091

Use o que está lá, se ainda assim não conseguir, traga a dificuldade específica aqui neste seu tópico para que se possa tentar ajudar no caso cocreto.

« Última modificação: 21 de Novembro de 2017, 13:13 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Allanbane

  • Usuário Ubuntu
  • *
  • Mensagens: 78
    • Ver perfil
Re:Pacote quebrado no Lubuntu 16.04
« Resposta #2 Online: 21 de Novembro de 2017, 14:30 »
Fiz todo o procedimento druidaobelix. Foi tudo bem até a hora de instalar. Aí dá a mesma mensagem: "voce manteve (hold) pacote quebrado." Já tentei corrigir esse pacote pelo Synaptic mas não vai. E ele só aparece quando vou tentar instalar o Wine. 

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Pacote quebrado no Lubuntu 16.04
« Resposta #3 Online: 21 de Novembro de 2017, 14:40 »
Fiz todo o procedimento druidaobelix. Foi tudo bem até a hora de instalar. Aí dá a mesma mensagem: "voce manteve (hold) pacote quebrado." Já tentei corrigir esse pacote pelo Synaptic mas não vai. E ele só aparece quando vou tentar instalar o Wine. 

Coloque aqui no tópico a saída para:

Código: [Selecionar]
egrep -v '^#|^ *$' /etc/apt/sources.list /etc/apt/sources.list.d/*
Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Allanbane

  • Usuário Ubuntu
  • *
  • Mensagens: 78
    • Ver perfil
Re:Pacote quebrado no Lubuntu 16.04
« Resposta #4 Online: 21 de Novembro de 2017, 14:52 »
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted
/etc/apt/sources.list:deb-src http://br.archive.ubuntu.com/ubuntu/ xenial universe multiverse restricted main
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial universe
/etc/apt/sources.list:deb http://br.archive.ubuntu.com/ubuntu/ xenial multiverse
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security main restricted
/etc/apt/sources.list:deb-src http://security.ubuntu.com/ubuntu xenial-security universe multiverse restricted main
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security universe
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu xenial-security multiverse
/etc/apt/sources.list:deb https://dl.winehq.org/wine-builds/ubuntu/ xenial main
/etc/apt/sources.list.d/google-chrome.list:deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
/etc/apt/sources.list.d/google-chrome.list.save:deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
/etc/apt/sources.list.d/libreoffice-ubuntu-ppa-xenial.list:deb http://ppa.launchpad.net/libreoffice/ppa/ubuntu xenial main
/etc/apt/sources.list.d/libreoffice-ubuntu-ppa-xenial.list.save:deb http://ppa.launchpad.net/libreoffice/ppa/ubuntu xenial main
/etc/apt/sources.list.d/noobslab-ubuntu-mint-xenial.list:deb http://ppa.launchpad.net/noobslab/mint/ubuntu xenial main
/etc/apt/sources.list.d/noobslab-ubuntu-mint-xenial.list.save:deb http://ppa.launchpad.net/noobslab/mint/ubuntu xenial main
godoy@godoy-ThinkPad-X200:~$ sudo apt-get update
[sudo] senha para godoy:
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://br.archive.ubuntu.com/ubuntu xenial InRelease               
Atingido:3 http://dl.google.com/linux/chrome/deb stable Release               
Atingido:4 https://dl.winehq.org/wine-builds/ubuntu xenial InRelease           
Atingido:6 http://ppa.launchpad.net/libreoffice/ppa/ubuntu xenial InRelease   
Atingido:7 http://security.ubuntu.com/ubuntu xenial-security InRelease         
Ign:8 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial InRelease           
Ign:9 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial Release
Ign:10 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main amd64 Packages
Ign:11 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main i386 Packages
Ign:12 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main all Packages
Ign:13 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt_BR
Ign:14 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt
Ign:15 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-en
Ign:10 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main amd64 Packages
Ign:11 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main i386 Packages
Ign:12 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main all Packages
Ign:13 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt_BR
Ign:14 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt
Ign:15 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-en
Ign:10 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main amd64 Packages
Ign:11 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main i386 Packages
Ign:12 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main all Packages
Ign:13 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt_BR
Ign:14 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt
Ign:15 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-en
Ign:10 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main amd64 Packages
Ign:11 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main i386 Packages
Ign:12 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main all Packages
Ign:13 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt_BR
Ign:14 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt
Ign:15 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-en
Ign:10 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main amd64 Packages
Ign:11 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main i386 Packages
Ign:12 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main all Packages
Ign:13 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt_BR
Ign:14 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt
Ign:15 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-en
Err:10 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main amd64 Packages
  404  Not Found
Ign:11 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main i386 Packages
Ign:12 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main all Packages
Ign:13 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt_BR
Ign:14 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-pt
Ign:15 http://ppa.launchpad.net/noobslab/mint/ubuntu xenial/main Translation-en
Lendo listas de pacotes... Pronto
W: The repository 'http://ppa.launchpad.net/noobslab/mint/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Falhou ao buscar http://ppa.launchpad.net/noobslab/mint/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Falhou o download de alguns ficheiros de índice. Foram ignorados ou os antigos foram usados em seu lugar.
godoy@godoy-ThinkPad-X200:~$ sudo apt-get upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Calculando atualização... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.


Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Pacote quebrado no Lubuntu 16.04
« Resposta #5 Online: 21 de Novembro de 2017, 15:08 »
O erro 404 not found quer dizer que não há nada lá para a sua versão da distribuição, assim sendo, não há razão para manter a entrada no repositório, já que está sendo inútil para qualquer finalidade.

É fácil conferir, basta ir no endereço de origem:

http://ppa.launchpad.net/noobslab/mint/ubuntu/dists/

Note que não existe entrada para o 16.04 Xenial, essa ppa está mais que parada, 'morreu' no Trusty ainda em 2013 (Latest updates mdm-themes 149 weeks ago),  que dá aí algo como mais de 3 anos e desde lá sem atualizações.

Embora não seja a questão central da dificuldade do tópico, ainda assim convém apagar isso aí para não ficar emperrando o processamento das atualizações, 'sujeira' no meio.

Código: [Selecionar]
sudo rm /etc/apt/sources.list.d/noobslab-ubuntu-mint-xenial.list*
Atualize fazendo de novo:

sudo apt update&&sudo apt upgrade

Deverá terminar sem erros de quaisquer espécie.


www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Allanbane

  • Usuário Ubuntu
  • *
  • Mensagens: 78
    • Ver perfil
Re:Pacote quebrado no Lubuntu 16.04
« Resposta #6 Online: 21 de Novembro de 2017, 15:52 »
Era exatamente isso druidaobelix! Deu tudo certo agora!! Valeu mesmo pela força! Tô aprendendo, um dia eu chego lá, rsrsrs!